<?php
/**
* Tab to display recently posted classified ads in the Marketplace component in a Community Builder profile
* Author: Michael Spredemann (scubaguy) mkemichael@yahoo.com
*/
class getAdsTab extends cbTabHandler {
	function getAdsSessionsTab() {
		$this->cbTabHandler();
		}
	
  function getDisplayTab($tab,$user,$ui) {
	global $database,$mosConfig_live_site, $mosConfig_absolute_path, $mosConfig_lang;
	// Language:
	if (file_exists($mosConfig_absolute_path."/components/com_marketplace/lang_".$mosConfig_lang.".php"))
	    include($mosConfig_absolute_path."/components/com_marketplace/lang_".$mosConfig_lang.".php");
	else if(file_exists($mosConfig_absolute_path."/components/com_marketplace/lang_english.php"))
		include($mosConfig_absolute_path."/components/com_marketplace/lang_english.php");
	else return "Error: No language file could be loaded. Is the Marketplace component properly installed?";

	
	$params = $this->params;
	$return="";

	$adsLimit = $params->get('adsLimit','');
	$adDescription = $params->get('adDescription','');
	$adTitle = $params->get('adTitle','');
	$adDate = $params->get('adDate','');
	$showTotal = $params->get('showTotal','');
	$noAds = $params->get('noAds','');
	$totalTitle = $params->get('totalTitle','');

	$database->setQuery("select id from #__menu where link='index.php?option=com_marketplace' AND published=1");
	$comitem=$database->loadResult();

      $database->setQuery("SELECT id, user, userid, ad_kindof, ad_headline, ad_text, ad_image, ad_price,
							date_format(date_created, '%m/%d/%Y' ) as date_created, views
							FROM #__marketplace_ads
							WHERE userid=$user->id
							ORDER BY id DESC
							LIMIT $adsLimit");
      $rows = $database->loadObjectList();
	
			$nn = count($rows);
if ($nn > 0) {

			$return .="<table id=\"category_table\" cellpadding='0' cellspacing='0'>";
			
  			$return .="<tr id=\"category_tablerowheader\">";
    			$return .="<td id=\"category_tablecellheader1\" width='50%' bgcolor='#EEEEEE'><strong>&nbsp;&nbsp;&nbsp;".JOO_AD."</strong></td>";

    			$return .="<td id=\"category_tablecellheader5\" align='center' width='5%' bgcolor='#EEEEEE'>
                          <strong>".JOO_VIEWS."</strong></td>";
    			
    			$return .="<td id=\"category_tablecellheader2\" align='center' width='8%' bgcolor='#EEEEEE'>
                          <strong>".JOO_PRICE."</strong></td>";
                          
    			$return .="<td id=\"category_tablecellheader3\" align='center' width='7%' bgcolor='#EEEEEE'>
                          <strong>".JOO_KINDOF."</strong></td>";
                          
    			$return .="<td id=\"category_tablecellheader4\" align='center' width='15%' bgcolor='#EEEEEE'>
                          <strong>".JOO_DATE."</strong></td>";

  			$return .="</tr>";



  			foreach($rows as $row) {

                $linkTarget = sefRelToAbs('index.php?option=com_marketplace&page=show_ad&catid='.$catid.'&adid='.$row->id);

  				$return .="<tr id=\"category_tablerow\">";

    				$return .="<td id=\"category_tablecell\" valign='top' align='left'>";

      					$return .="<table width='100%' border='0'>";
        					$return .="<tr>";
          					$return .="<td align='center' valign='top' width='100'>";
          					
						  	if ( $row->ad_image > 0) {
						  		
		        				$a_pic = $mosConfig_absolute_path."/components/com_marketplace/images/entries/".$row->id."a_t.jpg";
		        				$b_pic = $mosConfig_absolute_path."/components/com_marketplace/images/entries/".$row->id."b_t.jpg";
		        				$c_pic = $mosConfig_absolute_path."/components/com_marketplace/images/entries/".$row->id."c_t.jpg";
		        
		        				if ( file_exists( $a_pic)) {
             						$return .="<a href=".$linkTarget."><img src='".$mosConfig_live_site."/components/com_marketplace/images/entries/".$row->id."a_t.jpg' align='center' border='0'></a>";
		        				}
		        				else {
			        				if ( file_exists( $b_pic)) {
             							$return .="<a href=".$linkTarget."><img src='".$mosConfig_live_site."/components/com_marketplace/images/entries/".$row->id."b_t.jpg' align='center' border='0'></a>";
			        				}
			        				else {
				        				if ( file_exists( $c_pic)) {
             								$return .="<a href=".$linkTarget."><img src='".$mosConfig_live_site."/components/com_marketplace/images/entries/".$row->id."c_t.jpg' align='center' border='0'></a>";
				        				}	        	
			        				}		        	
		        				}
               				}
               				else {
               					$return .="<a href=".$linkTarget."><img src='".$mosConfig_live_site."/components/com_marketplace/images/system/nopic.gif' align='center' border='0'></a>";
							}
							
							
          					$return .="</td>";
          					
          					$return .="<td width='5' align='left' valign='center'>";
              					  $return .="&nbsp;";
          					$return .="</td>";
          					
          					$return .="<td align='left' valign='top'>";
						  		$return .="<a href=".$linkTarget.">".$row->ad_headline."</a><br />";
                                $af_text = htmlspecialchars (substr($row->ad_text, 0, 100)."...");
            					$return.= $af_text;
          					$return .="</td>";
          					
        					$return .="</tr>";
      					$return .="</table>";


    				$return .="</td>";

      			$return .="<td id=\"category_tablecellcenter\">";
				$return .="<br />";
  				$return .= $row->views;
      			$return .="</td>";

      			$return .="<td id=\"category_tablecellcenter\">";
				$return .="<br />";
  				$return .= $row->ad_price;
      			$return .="</td>";

      			$return .="<td id=\"category_tablecellcenter\">";

      				switch ($row->ad_kindof) {
      					case "WTS": {      						
      						$return .="<div id='list_wts'>";
							$return .="<br />";
  					        	$return .= JOO_WTS;      						
      						$return .="</div>";
      						break;
      					}
      					case "WTB": {
      						$return .="<div id='list_wtb'>";
							$return .="<br />";
  					        	$return .= JOO_WTB;      						
      						$return .="</div>";
      						break;
      					}
      					case "WTC": {
      						$return .="<div id='list_wtc'>";
							$return .="<br />";
  					        	$return .= JOO_WTC;      						
      						$return .="</div>";
      						break;
      					}
      					case "WTX": {
      						$return .="<div id='list_wtx'>";
							$return .="<br />";
  					        	$return .= JOO_WTX;      						
      						$return .="</div>";
      						break;
      					}
      					case "WTQ": {
      						$return .="<div id='list_wtq'>";
							$return .="<br />";
  					        	$return .= JOO_WTQ;      						
      						$return .="</div>";
      						break;
      					}
      					default: {
							$return .="<br />";
  					        $return .= $row->ad_kindof;
      						break;
      					}

      				}

      			$return .="</td>";

      			$return .="<td id=\"category_tablecellcenter\">";
					$return .="<br />";
  					$return .= $row->date_created;
                	$return .="<br />";
                		$return .= JOO_FROM;
                    	//$return .="<strong>".$row->user."</strong>";
                        $return .="<strong><a href=".sefRelToAbs('index.php?option=com_comprofiler&task=userProfile&user='.$row->userid)." title='".VIEW_PROFILE."'>".$row->user."</a></strong>";
      			$return .="</td>";


    			$return .="</tr>";
				}

			$return .="</table>";
} else {
$return .= '';
}
      
	return $return;
	}
}	
?>